Skip to main content

Restore an archived voice

Restore an archived voice ahead of its next use.

Call it before a session so that the session uses this voice from the first phrase. An archived voice is also restored automatically the next time it is used. The request waits up to 45 seconds and returns the voice as GET /saas/voice/m/{voice_id} does, with archived_at set to null. A voice that is not archived is returned unchanged. If the voice is not restored within 45 seconds, the response is 504 with error code 100010. Repeat the request a minute later.

Path Parameters
voice_id Voice Id — REQUIRED
Responses
200

Successful Response

Schema — OPTIONAL
ok Ok — OPTIONAL

Indicates if the request was successful or not.

data object
voice_id Voice Id

Voice ID

user_id User Id

User ID

utc_created_at date-time

UTC created at

utc_updated_at date-time

UTC updated at

voice_type VoiceType

Possible values: [instantly_cloned, instantly_cloned_builtin]

processing_status VoiceProcessingStatus

Possible values: [created, pending, ready, failed]

processing_result object
warnings object[] — OPTIONAL
type uri

Possible values: 1 ≤ length ≤ 2083

A string containing a URI reference that identifies the problem type.

status Status

Possible values: 399 < value < 600

A number indicating the HTTP status code.

title Title

Possible values: 5 ≤ length

A string containing a short, human-readable summary of the problem type.

detail Detail

Possible values: 5 ≤ length

A string containing a human-readable explanation specific to this occurrence of the problem.

instance Instance

Possible values: 1 ≤ length

A string containing a URI reference that identifies the specific occurrence of the problem.

error_code Error Code

A Number that indicates the error type that occurred.

errors object[] — OPTIONAL
type uri

Possible values: 1 ≤ length ≤ 2083

A string containing a URI reference that identifies the problem type.

status Status

Possible values: 399 < value < 600

A number indicating the HTTP status code.

title Title

Possible values: 5 ≤ length

A string containing a short, human-readable summary of the problem type.

detail Detail

Possible values: 5 ≤ length

A string containing a human-readable explanation specific to this occurrence of the problem.

instance Instance

Possible values: 1 ≤ length

A string containing a URI reference that identifies the specific occurrence of the problem.

error_code Error Code

A Number that indicates the error type that occurred.

model Model — OPTIONAL

Model

labels — OPTIONAL

Labels

name Name

Name

description Description — OPTIONAL

Description

has_external_voice Has External Voice — OPTIONAL

Whether an external voice provider voice exists

archived_at Archived At — OPTIONAL

UTC time when the voice was archived because it was not used for a long time; null when the voice is not archived. An archived voice keeps its ID and is restored automatically the first time it is used.

attributes string[] — OPTIONAL

Custom voice attributes/tags

is_favorite Is Favorite — OPTIONAL

Whether this voice is marked as favorite by the caller

tts_sample — OPTIONAL

TTS sample

tts_samples object[] — OPTIONAL

Latest TTS sample per provider

user_id User Id

User ID

blob_id uuid

TTS sample blob ID

url uri

Possible values: 1 ≤ length ≤ 2083

TTS sample URL

audio_metadata object
format Format

Audio format

codec Codec

Audio codec

duration Duration

Audio duration in seconds

mime_type MIMEType

Possible values: [audio/x-wav, audio/wav, audio/mp3, audio/x-m4a, audio/mpeg, audio/flac, audio/ogg, video/webm, video/mp4, video/mpeg, image/png, image/jpeg, image/webp]

Core MIME types

text object
content Content

Possible values: length ≤ 10000

lang LangCodeExperimental

Possible values: [ar, ar-ae, ar-sa, az, hy, be, bg, bs, ca, cs, cy, da, de, el, en, en-au, en-ca, en-gb, en-us, es, es-mx, es-co, es-ar, es-ch, es-la, et, fi, fil, fr, fr-ca, gl, he, hi, hr, hu, id, is, it, ja, kk, ko, lt, lv, mk, ms, nl, no, pl, pt, pt-br, ro, ru, sk, sl, sr, sv, sw, ta, th, tr, uk, ur, vi, zh, zh-hans, zh-hant, auto, bn, eu, fa, ga, mn, mr, mt, ug, yue]

model Model

Model

provider VoiceProvider

Possible values: [palabra, elevenlabs]

filename Filename

Filename

mime_type AllowedMIMEType

Possible values: [audio/x-wav, audio/wav, audio/mp3, audio/x-m4a, audio/mpeg, audio/flac, video/webm, video/mp4, video/mpeg, image/png, image/jpeg, image/webp]

Allowed MIME types

display_name Display Name

Display name

description Description — OPTIONAL

Description

utc_created_at date-time

UTC created at

default

Default Response

Schema — OPTIONAL
ok Ok — OPTIONAL

Indicates if the request was successful or not.

errors object[]

List of errors

type uri

Possible values: 1 ≤ length ≤ 2083

A string containing a URI reference that identifies the problem type.

status Status

Possible values: 399 < value < 600

A number indicating the HTTP status code.

title Title

Possible values: 5 ≤ length

A string containing a short, human-readable summary of the problem type.

detail Detail

Possible values: 5 ≤ length

A string containing a human-readable explanation specific to this occurrence of the problem.

instance Instance

Possible values: 1 ≤ length

A string containing a URI reference that identifies the specific occurrence of the problem.

error_code Error Code

A Number that indicates the error type that occurred.